
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">


<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    
    <title>Index &mdash; Python 3.5.1 documentation</title>
    
    <link rel="stylesheet" href="_static/pydoctheme.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    './',
        VERSION:     '3.5.1',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true
      };
    </script>
    <script type="text/javascript" src="_static/jquery.js"></script>
    <script type="text/javascript" src="_static/underscore.js"></script>
    <script type="text/javascript" src="_static/doctools.js"></script>
    <script type="text/javascript" src="_static/sidebar.js"></script>
    <link rel="search" type="application/opensearchdescription+xml"
          title="Search within Python 3.5.1 documentation"
          href="_static/opensearch.xml"/>
    <link rel="author" title="About these documents" href="about.html" />
    <link rel="copyright" title="Copyright" href="copyright.html" />
    <link rel="top" title="Python 3.5.1 documentation" href="contents.html" />
    <link rel="shortcut icon" type="image/png" href="_static/py.png" />
    <script type="text/javascript" src="_static/copybutton.js"></script>
    <script type="text/javascript" src="_static/version_switch.js"></script>
    
 

  </head>
  <body role="document">  
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li><img src="_static/py.png" alt=""
                 style="vertical-align: middle; margin-top: -1px"/></li>
        <li><a href="https://www.python.org/">Python</a> &raquo;</li>
        <li>
          <span class="version_switcher_placeholder">3.5.1</span>
          <a href="index.html">Documentation</a> &raquo;
        </li>
 
      </ul>
    </div>    

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            

<h1 id="index">Index &ndash; X</h1>

<table style="width: 100%" class="indextable"><tr>
  <td style="width: 33%" valign="top"><dl>
      
  <dt><a href="library/re.html#re.X">X (in module re)</a>
  </dt>

      
  <dt><a href="library/ssl.html#index-15">X509 certificate</a>
  </dt>

      
  <dt><a href="library/os.html#os.X_OK">X_OK (in module os)</a>
  </dt>

      
  <dt><a href="library/imaplib.html#imaplib.IMAP4.xatom">xatom() (imaplib.IMAP4 method)</a>
  </dt>

      
  <dt><a href="library/os.html#os.XATTR_CREATE">XATTR_CREATE (in module os)</a>
  </dt>

      
  <dt><a href="library/os.html#os.XATTR_REPLACE">XATTR_REPLACE (in module os)</a>
  </dt>

      
  <dt><a href="library/os.html#os.XATTR_SIZE_MAX">XATTR_SIZE_MAX (in module os)</a>
  </dt>

      
  <dt><a href="library/turtle.html#turtle.xcor">xcor() (in module turtle)</a>
  </dt>

      
  <dt><a href="library/xdrlib.html#index-0">XDR</a>
  </dt>

      
  <dt><a href="library/xdrlib.html#module-xdrlib">xdrlib (module)</a>
  </dt>

      
  <dt><a href="library/nntplib.html#nntplib.NNTP.xhdr">xhdr() (nntplib.NNTP method)</a>
  </dt>

      
  <dt><a href="library/html.parser.html#index-0">XHTML</a>
  </dt>

      
  <dt><a href="library/xml.dom.html#xml.dom.XHTML_NAMESPACE">XHTML_NAMESPACE (in module xml.dom)</a>
  </dt>

      
  <dt><a href="library/xml.html#module-xml">xml (module)</a>
  </dt>

      
  <dt><a href="library/xml.etree.elementtree.html#xml.etree.ElementTree.XML">XML() (in module xml.etree.ElementTree)</a>
  </dt>

      
  <dt><a href="library/xml.dom.html#module-xml.dom">xml.dom (module)</a>
  </dt>

      
  <dt><a href="library/xml.dom.minidom.html#module-xml.dom.minidom">xml.dom.minidom (module)</a>
  </dt>

      
  <dt><a href="library/xml.dom.pulldom.html#module-xml.dom.pulldom">xml.dom.pulldom (module)</a>
  </dt>

      
  <dt><a href="library/xml.etree.elementtree.html#module-xml.etree.ElementTree">xml.etree.ElementTree (module)</a>
  </dt>

      
  <dt><a href="library/pyexpat.html#module-xml.parsers.expat">xml.parsers.expat (module)</a>
  </dt>

      
  <dt><a href="library/pyexpat.html#module-xml.parsers.expat.errors">xml.parsers.expat.errors (module)</a>
  </dt>

      
  <dt><a href="library/pyexpat.html#module-xml.parsers.expat.model">xml.parsers.expat.model (module)</a>
  </dt>

      
  <dt><a href="library/xml.sax.html#module-xml.sax">xml.sax (module)</a>
  </dt>

      
  <dt><a href="library/xml.sax.handler.html#module-xml.sax.handler">xml.sax.handler (module)</a>
  </dt>

      
  <dt><a href="library/xml.sax.utils.html#module-xml.sax.saxutils">xml.sax.saxutils (module)</a>
  </dt>

      
  <dt><a href="library/xml.sax.reader.html#module-xml.sax.xmlreader">xml.sax.xmlreader (module)</a>
  </dt>

      
  <dt><a href="library/pyexpat.html#xml.parsers.expat.errors.XML_ERROR_ABORTED">XML_ERROR_ABORTED (in module xml.parsers.expat.errors)</a>
  </dt>

      
  <dt><a href="library/pyexpat.html#xml.parsers.expat.errors.XML_ERROR_ASYNC_ENTITY">XML_ERROR_ASYNC_ENTITY (in module xml.parsers.expat.errors)</a>
  </dt>

      
  <dt><a href="library/pyexpat.html#xml.parsers.expat.errors.XML_ERROR_ATTRIBUTE_EXTERNAL_ENTITY_REF">XML_ERROR_ATTRIBUTE_EXTERNAL_ENTITY_REF (in module xml.parsers.expat.errors)</a>
  </dt>

      
  <dt><a href="library/pyexpat.html#xml.parsers.expat.errors.XML_ERROR_BAD_CHAR_REF">XML_ERROR_BAD_CHAR_REF (in module xml.parsers.expat.errors)</a>
  </dt>

      
  <dt><a href="library/pyexpat.html#xml.parsers.expat.errors.XML_ERROR_BINARY_ENTITY_REF">XML_ERROR_BINARY_ENTITY_REF (in module xml.parsers.expat.errors)</a>
  </dt>

      
  <dt><a href="library/pyexpat.html#xml.parsers.expat.errors.XML_ERROR_CANT_CHANGE_FEATURE_ONCE_PARSING">XML_ERROR_CANT_CHANGE_FEATURE_ONCE_PARSING (in module xml.parsers.expat.errors)</a>
  </dt>

      
  <dt><a href="library/pyexpat.html#xml.parsers.expat.errors.XML_ERROR_DUPLICATE_ATTRIBUTE">XML_ERROR_DUPLICATE_ATTRIBUTE (in module xml.parsers.expat.errors)</a>
  </dt>

      
  <dt><a href="library/pyexpat.html#xml.parsers.expat.errors.XML_ERROR_ENTITY_DECLARED_IN_PE">XML_ERROR_ENTITY_DECLARED_IN_PE (in module xml.parsers.expat.errors)</a>
  </dt>

      
  <dt><a href="library/pyexpat.html#xml.parsers.expat.errors.XML_ERROR_EXTERNAL_ENTITY_HANDLING">XML_ERROR_EXTERNAL_ENTITY_HANDLING (in module xml.parsers.expat.errors)</a>
  </dt>

      
  <dt><a href="library/pyexpat.html#xml.parsers.expat.errors.XML_ERROR_FEATURE_REQUIRES_XML_DTD">XML_ERROR_FEATURE_REQUIRES_XML_DTD (in module xml.parsers.expat.errors)</a>
  </dt>

      
  <dt><a href="library/pyexpat.html#xml.parsers.expat.errors.XML_ERROR_FINISHED">XML_ERROR_FINISHED (in module xml.parsers.expat.errors)</a>
  </dt>

      
  <dt><a href="library/pyexpat.html#xml.parsers.expat.errors.XML_ERROR_INCOMPLETE_PE">XML_ERROR_INCOMPLETE_PE (in module xml.parsers.expat.errors)</a>
  </dt>

      
  <dt><a href="library/pyexpat.html#xml.parsers.expat.errors.XML_ERROR_INCORRECT_ENCODING">XML_ERROR_INCORRECT_ENCODING (in module xml.parsers.expat.errors)</a>
  </dt>

      
  <dt><a href="library/pyexpat.html#xml.parsers.expat.errors.XML_ERROR_INVALID_TOKEN">XML_ERROR_INVALID_TOKEN (in module xml.parsers.expat.errors)</a>
  </dt>

      
  <dt><a href="library/pyexpat.html#xml.parsers.expat.errors.XML_ERROR_JUNK_AFTER_DOC_ELEMENT">XML_ERROR_JUNK_AFTER_DOC_ELEMENT (in module xml.parsers.expat.errors)</a>
  </dt>

      
  <dt><a href="library/pyexpat.html#xml.parsers.expat.errors.XML_ERROR_MISPLACED_XML_PI">XML_ERROR_MISPLACED_XML_PI (in module xml.parsers.expat.errors)</a>
  </dt>

  </dl></td>
  <td style="width: 33%" valign="top"><dl>
      
  <dt><a href="library/pyexpat.html#xml.parsers.expat.errors.XML_ERROR_NO_ELEMENTS">XML_ERROR_NO_ELEMENTS (in module xml.parsers.expat.errors)</a>
  </dt>

      
  <dt><a href="library/pyexpat.html#xml.parsers.expat.errors.XML_ERROR_NO_MEMORY">XML_ERROR_NO_MEMORY (in module xml.parsers.expat.errors)</a>
  </dt>

      
  <dt><a href="library/pyexpat.html#xml.parsers.expat.errors.XML_ERROR_NOT_STANDALONE">XML_ERROR_NOT_STANDALONE (in module xml.parsers.expat.errors)</a>
  </dt>

      
  <dt><a href="library/pyexpat.html#xml.parsers.expat.errors.XML_ERROR_NOT_SUSPENDED">XML_ERROR_NOT_SUSPENDED (in module xml.parsers.expat.errors)</a>
  </dt>

      
  <dt><a href="library/pyexpat.html#xml.parsers.expat.errors.XML_ERROR_PARAM_ENTITY_REF">XML_ERROR_PARAM_ENTITY_REF (in module xml.parsers.expat.errors)</a>
  </dt>

      
  <dt><a href="library/pyexpat.html#xml.parsers.expat.errors.XML_ERROR_PARTIAL_CHAR">XML_ERROR_PARTIAL_CHAR (in module xml.parsers.expat.errors)</a>
  </dt>

      
  <dt><a href="library/pyexpat.html#xml.parsers.expat.errors.XML_ERROR_PUBLICID">XML_ERROR_PUBLICID (in module xml.parsers.expat.errors)</a>
  </dt>

      
  <dt><a href="library/pyexpat.html#xml.parsers.expat.errors.XML_ERROR_RECURSIVE_ENTITY_REF">XML_ERROR_RECURSIVE_ENTITY_REF (in module xml.parsers.expat.errors)</a>
  </dt>

      
  <dt><a href="library/pyexpat.html#xml.parsers.expat.errors.XML_ERROR_SUSPEND_PE">XML_ERROR_SUSPEND_PE (in module xml.parsers.expat.errors)</a>
  </dt>

      
  <dt><a href="library/pyexpat.html#xml.parsers.expat.errors.XML_ERROR_SUSPENDED">XML_ERROR_SUSPENDED (in module xml.parsers.expat.errors)</a>
  </dt>

      
  <dt><a href="library/pyexpat.html#xml.parsers.expat.errors.XML_ERROR_SYNTAX">XML_ERROR_SYNTAX (in module xml.parsers.expat.errors)</a>
  </dt>

      
  <dt><a href="library/pyexpat.html#xml.parsers.expat.errors.XML_ERROR_TAG_MISMATCH">XML_ERROR_TAG_MISMATCH (in module xml.parsers.expat.errors)</a>
  </dt>

      
  <dt><a href="library/pyexpat.html#xml.parsers.expat.errors.XML_ERROR_TEXT_DECL">XML_ERROR_TEXT_DECL (in module xml.parsers.expat.errors)</a>
  </dt>

      
  <dt><a href="library/pyexpat.html#xml.parsers.expat.errors.XML_ERROR_UNBOUND_PREFIX">XML_ERROR_UNBOUND_PREFIX (in module xml.parsers.expat.errors)</a>
  </dt>

      
  <dt><a href="library/pyexpat.html#xml.parsers.expat.errors.XML_ERROR_UNCLOSED_CDATA_SECTION">XML_ERROR_UNCLOSED_CDATA_SECTION (in module xml.parsers.expat.errors)</a>
  </dt>

      
  <dt><a href="library/pyexpat.html#xml.parsers.expat.errors.XML_ERROR_UNCLOSED_TOKEN">XML_ERROR_UNCLOSED_TOKEN (in module xml.parsers.expat.errors)</a>
  </dt>

      
  <dt><a href="library/pyexpat.html#xml.parsers.expat.errors.XML_ERROR_UNDECLARING_PREFIX">XML_ERROR_UNDECLARING_PREFIX (in module xml.parsers.expat.errors)</a>
  </dt>

      
  <dt><a href="library/pyexpat.html#xml.parsers.expat.errors.XML_ERROR_UNDEFINED_ENTITY">XML_ERROR_UNDEFINED_ENTITY (in module xml.parsers.expat.errors)</a>
  </dt>

      
  <dt><a href="library/pyexpat.html#xml.parsers.expat.errors.XML_ERROR_UNEXPECTED_STATE">XML_ERROR_UNEXPECTED_STATE (in module xml.parsers.expat.errors)</a>
  </dt>

      
  <dt><a href="library/pyexpat.html#xml.parsers.expat.errors.XML_ERROR_UNKNOWN_ENCODING">XML_ERROR_UNKNOWN_ENCODING (in module xml.parsers.expat.errors)</a>
  </dt>

      
  <dt><a href="library/pyexpat.html#xml.parsers.expat.errors.XML_ERROR_XML_DECL">XML_ERROR_XML_DECL (in module xml.parsers.expat.errors)</a>
  </dt>

      
  <dt><a href="library/xml.dom.html#xml.dom.XML_NAMESPACE">XML_NAMESPACE (in module xml.dom)</a>
  </dt>

      
  <dt><a href="library/codecs.html#codecs.xmlcharrefreplace_errors">xmlcharrefreplace_errors() (in module codecs)</a>
  </dt>

      
  <dt><a href="library/pyexpat.html#xml.parsers.expat.xmlparser.XmlDeclHandler">XmlDeclHandler() (xml.parsers.expat.xmlparser method)</a>
  </dt>

      
  <dt><a href="library/xml.sax.utils.html#xml.sax.saxutils.XMLFilterBase">XMLFilterBase (class in xml.sax.saxutils)</a>
  </dt>

      
  <dt><a href="library/xml.sax.utils.html#xml.sax.saxutils.XMLGenerator">XMLGenerator (class in xml.sax.saxutils)</a>
  </dt>

      
  <dt><a href="library/xml.etree.elementtree.html#xml.etree.ElementTree.XMLID">XMLID() (in module xml.etree.ElementTree)</a>
  </dt>

      
  <dt><a href="library/xml.dom.html#xml.dom.XMLNS_NAMESPACE">XMLNS_NAMESPACE (in module xml.dom)</a>
  </dt>

      
  <dt><a href="library/xml.etree.elementtree.html#xml.etree.ElementTree.XMLParser">XMLParser (class in xml.etree.ElementTree)</a>
  </dt>

      
  <dt><a href="library/pyexpat.html#xml.parsers.expat.XMLParserType">XMLParserType (in module xml.parsers.expat)</a>
  </dt>

      
  <dt><a href="library/xml.etree.elementtree.html#xml.etree.ElementTree.XMLPullParser">XMLPullParser (class in xml.etree.ElementTree)</a>
  </dt>

      
  <dt><a href="library/xml.sax.reader.html#xml.sax.xmlreader.XMLReader">XMLReader (class in xml.sax.xmlreader)</a>
  </dt>

      
  <dt><a href="library/xmlrpc.client.html#module-xmlrpc.client">xmlrpc.client (module)</a>
  </dt>

      
  <dt><a href="library/xmlrpc.server.html#module-xmlrpc.server">xmlrpc.server (module)</a>
  </dt>

      
  <dt>
    xor
  </dt>

      <dd><dl>
        
  <dt><a href="reference/expressions.html#index-59">bitwise</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/operator.html#operator.xor">xor() (in module operator)</a>
  </dt>

      
  <dt><a href="library/nntplib.html#nntplib.NNTP.xover">xover() (nntplib.NNTP method)</a>
  </dt>

      
  <dt><a href="library/nntplib.html#nntplib.NNTP.xpath">xpath() (nntplib.NNTP method)</a>
  </dt>

      
  <dt><a href="library/2to3.html#2to3fixer-xrange">xrange (2to3 fixer)</a>
  </dt>

      
  <dt><a href="library/2to3.html#2to3fixer-xreadlines">xreadlines (2to3 fixer)</a>
  </dt>

      
  <dt><a href="library/tkinter.ttk.html#tkinter.ttk.Treeview.xview">xview() (tkinter.ttk.Treeview method)</a>
  </dt>

  </dl></td>
</tr></table>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
   <h4>Index</h4>
   <p><a href="genindex-Symbols.html"><strong>Symbols</strong></a>
     | <a href="genindex-_.html"><strong>_</strong></a>
     | <a href="genindex-A.html"><strong>A</strong></a>
     | <a href="genindex-B.html"><strong>B</strong></a>
     | <a href="genindex-C.html"><strong>C</strong></a>
     | <a href="genindex-D.html"><strong>D</strong></a>
     | <a href="genindex-E.html"><strong>E</strong></a>
     | <a href="genindex-F.html"><strong>F</strong></a>
     | <a href="genindex-G.html"><strong>G</strong></a>
     | <a href="genindex-H.html"><strong>H</strong></a>
     | <a href="genindex-I.html"><strong>I</strong></a>
     | <a href="genindex-J.html"><strong>J</strong></a>
     | <a href="genindex-K.html"><strong>K</strong></a>
     | <a href="genindex-L.html"><strong>L</strong></a>
     | <a href="genindex-M.html"><strong>M</strong></a>
     | <a href="genindex-N.html"><strong>N</strong></a>
     | <a href="genindex-O.html"><strong>O</strong></a>
     | <a href="genindex-P.html"><strong>P</strong></a>
     | <a href="genindex-Q.html"><strong>Q</strong></a>
     | <a href="genindex-R.html"><strong>R</strong></a>
     | <a href="genindex-S.html"><strong>S</strong></a>
     | <a href="genindex-T.html"><strong>T</strong></a>
     | <a href="genindex-U.html"><strong>U</strong></a>
     | <a href="genindex-V.html"><strong>V</strong></a>
     | <a href="genindex-W.html"><strong>W</strong></a>
     | <a href="#"><strong>X</strong></a>
     | <a href="genindex-Y.html"><strong>Y</strong></a>
     | <a href="genindex-Z.html"><strong>Z</strong></a>
     </p>

   <p><a href="genindex-all.html"><strong>Full index on one page</strong></a></p>
   


<div id="searchbox" style="display: none" role="search">
  <h3>Quick search</h3>
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    <p class="searchtip" style="font-size: 90%">
    Enter search terms or a module, class or function name.
    </p>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>  
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li><img src="_static/py.png" alt=""
                 style="vertical-align: middle; margin-top: -1px"/></li>
        <li><a href="https://www.python.org/">Python</a> &raquo;</li>
        <li>
          <span class="version_switcher_placeholder">3.5.1</span>
          <a href="index.html">Documentation</a> &raquo;
        </li>
 
      </ul>
    </div>  
    <div class="footer">
    &copy; <a href="copyright.html">Copyright</a> 1990-2016, Python Software Foundation.
    <br />
    The Python Software Foundation is a non-profit corporation.
    <a href="https://www.python.org/psf/donations/">Please donate.</a>
    <br />
    Last updated on Jan 19, 2016.
    <a href="bugs.html">Found a bug</a>?
    <br />
    Created using <a href="http://sphinx.pocoo.org/">Sphinx</a> 1.3.3.
    </div>

  </body>
</html>